/*
* Copyright (C) 2004 TES Electronic Solutions GmbH,
* All Rights Reserved.
* This source code and any compilation or derivative thereof is the
* proprietary information of TES Electronic Solutions GmbH
* and is confidential in nature.
* Under no circumstances is this software to be exposed to or placed
* under an Open Source License of any type without the expressed
* written permission of TES Electronic Solutions GmbH
*
*############################################################
*/

/******************************************************************************
*   PROJECT:        Guiliani
*******************************************************************************
*
*    MODULE:        MyGUI_SR.cpp
*
*    Archive:       $URL: https://10.25.129.51:3690/svn/GSE/branches/Releases/1.0_Guiliani_2.1/StreamRuntime/src/MyGUI_SR.cpp $
*
*    Date created:  2005
*
*
*
*    Author:        JRE
*
*******************************************************************************
*   MODIFICATIONS
*******************************************************************************
*    ID
*    --------------------------------------------------------------------------
*    $Id: MyGUI_SR.cpp 2758 2017-06-06 07:38:20Z patrik.lehmann $
*
******************************************************************************/
#include "MyGUI_SR.h"

#include "GUIMemLeakWatcher.h"

CMyGUI::CMyGUI(
    eC_Value x, eC_Value y,
    eC_Value width, eC_Value height,
    ObjectHandle_t eID)
:
    CStreamRuntimeGUI(x, y, width, height, eID)
{
    // Add application specific initialization here if necessary
}

CMyGUI::~CMyGUI()
{
    // Add application specific de-initialization here if necessary
}

eC_Bool CMyGUI::CallApplicationAPI( const eC_String& kAPI, const eC_String& kParam)
{
    // Add application API handlers here
    if( kAPI == "Example" )
    {
        GUILOGMESSAGE(" CallApplicationAPI called with API: Example \n"); 
    }
    else
    {
        GUILOGMESSAGE(" CallApplicationAPI called with unknown API: "+kAPI+" and Param: "+kParam+"\n"); 
        return false;
    }
    // Successfully handled call
    return true;
}
